cascading.flow.planner.iso.expression

## Class PlannerLevelElementExpression

- java.lang.Object
- - cascading.flow.planner.iso.expression.ElementExpression
  - - cascading.flow.planner.iso.expression.PlannerLevelElementExpression

All Implemented Interfaces:
  Expression<FlowElement>

    public class PlannerLevelElementExpression
    extends ElementExpression

### Constructor Summary

Constructors
`protected` `PlannerLevelElementExpression(ElementCapture capture, java.lang.Class<? extends PlannerLevel> plannerLevelClass)`

### Method Summary

Methods
`boolean` `applies(PlannerContext plannerContext, ElementGraph elementGraph, FlowElement flowElement)`

### Methods inherited from class cascading.flow.planner.iso.expression.ElementExpression

`getCapture, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlannerLevelElementExpression

    protected PlannerLevelElementExpression(ElementCapture capture,
                                 java.lang.Class<? extends PlannerLevel> plannerLevelClass)

### Method Detail

#### applies

    public boolean applies(PlannerContext plannerContext,
                  ElementGraph elementGraph,
                  FlowElement flowElement)